Skip to main content
GET
Retrieve Jobs where the current User is a Driver

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Query Parameters

page[limit]
integer<int32>
default:25

The maximum number of paginated results to return

Required range: x <= 100
page[before]
string

The cursor to stop paginating at

page[after]
string

The cursor to start paginating after

filter[start_date]
string

Start date range

filter[end_date]
string

End date range

filter[states]
enum<string>[]

Job state filter

Available options:
created,
assigned,
accepted,
rejected,
to_pickup,
arrived_pickup,
loaded,
to_dropoff,
arrived_dropoff,
unloaded,
completed,
canceled,
ended,
sent,
in_review,
flagged,
signed_off,
paid,
load_completed

Response

OK

data
Job-Read · object[]
required